declare module "encryptly-client" {
    export interface PopupOptions {
        serverUrl: string;
        type: string;
        clientId: string;
    }

    export interface RedirectOptions extends PopupOptions {
        redirectUrl: string;
    }

    export function createPopup(options: PopupOptions, cb: Function);

    export function redirectToAuthServer(options: RedirectOptions);
}